# TODO:
# - split library into subpackage?
# (but 3.x versions are rewritten in rust, so python module is gone)
#
Summary:	Binary image analyze tool
Summary(pl.UTF-8):	Narzędzie do analizy modułów binarnych
Name:		binwalk
Version:	2.3.4
Release:	1
License:	MIT
Group:		Development
#Source0Download: https://github.com/ReFirmLabs/binwalk/releases
Source0:	https://github.com/ReFirmLabs/binwalk/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	182a4e0d99600e30f06007910bcd037d
Patch0:		%{name}-python.patch
URL:		https://github.com/ReFirmLabs/binwalk
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# rpm tries to strip as ELF, but it's not ELF
%define		_noautostrip	.*/binwalk/magic/executables

%description
Binwalk is a tool for searching a given binary image for embedded
files and executable code. Specifically, it is designed for
identifying files and code embedded inside of firmware images. Binwalk
uses the libmagic library, so it is compatible with magic signatures
created for the Unix file utility.

Binwalk also includes a custom magic signature file which contains
improved signatures for files that are commonly found in firmware
images such as compressed/archived files, firmware headers, Linux
kernels, bootloaders, filesystems, etc.

%description -l pl.UTF-8
Binwalk to narzędzie do przeszukiwania danego obrazu binarnego pod
kątem osadzonych plików i kodu wykonywalnego. Jest zaprojektowane w
szczególności do identyfikowania plików i kodu osadzonego wewnątrz
obrazów firmware'u. Binwalk wykorzystuje bibliotekę libmagic, więc
jest zgodny z sygnaturami magicznymi tworzonymi dla narzędzia
uniksowego file.

Binwalk zawiera także własny plik z sygnaturami magicznymi,
zawierający ulepszone sygnatury dla plików często występujących w
obrazach firmware'u, takimi jak pliki skompresowane albo archiwa,
nagłówki firmware'u, jądra Linuksa, bootloadery, systemy plików itp.

%prep
%setup -q
%patch -P0 -p1

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc API.md README.md
%attr(755,root,root) %{_bindir}/binwalk
%{py3_sitescriptdir}/binwalk
%{py3_sitescriptdir}/binwalk-2.3.3-py*.egg-info
%changelog
* Sun Mar 23 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/binwalk.git;a=log;h=master

* Sun Mar 23 2025 Jakub Bogusz <qboosh@pld-linux.org> d881f4a
- patch to fix syntax warnings, don't try to strip signatures file

* Sun Mar 23 2025 Jakub Bogusz <qboosh@pld-linux.org> b843d5b
- updated to 2.3.4 (last Python version)

* Sun Mar 23 2025 Jakub Bogusz <qboosh@pld-linux.org> a8b7598
- pl

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 6ef28d4
- Release 5 (by relup.sh)

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> abfb35e
- python 3.13 rebuild

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 93975c5
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 80d86bd
- rebuild with python 3.10

* Fri Feb 18 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> b50e0dd
- Up to 2.3.3

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 01e214f
- release 6 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 26ab43d
- rebuild with python 3.8
- release 5 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> d615a90
- release 4 (by relup.sh)

* Sun Nov 12 2017 Elan Ruusamäe <glen@pld-linux.org> 060b59c
- adapter

* Sun Nov 12 2017 Adam Osuchowski <adwol@pld-linux.org> 0883814
- add "BuildArch: noarch"
- rel up

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 1064d39
- python 3.6
- release 2 (by relup.sh)

* Fri Apr 22 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 789bf74
- up to 2.1.1

* Sat Aug 27 2011 Tomasz Pala <gotar@pld-linux.org> 17e8446
- initial PLD release

